package gr.uoc.csd.hy439.positioning;

import gr.uoc.csd.hy439.positioning.MeasureActivity;
import gr.uoc.csd.hy439.positioning.FingerprintActivity;
import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.support.v4.app.NavUtils;

public class MainActivity extends Activity {
	
	Button startMeasureActivityButton, startDebugFingerprintActivityButton;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        
        startMeasureActivityButton= (Button) findViewById(R.id.startMeasureActivityButton);
        startMeasureActivityButton.setOnClickListener(new View.OnClickListener() {			
			@Override
			public void onClick(View v) {
				Intent intent = new Intent();
				intent.setClass(MainActivity.this, MeasureActivity.class);
				startActivity(intent);
			}
		});
        
        startDebugFingerprintActivityButton= (Button) findViewById(R.id.startDebugFingerprintActivityButton);
        startDebugFingerprintActivityButton.setOnClickListener(new View.OnClickListener() {			
			@Override
			public void onClick(View v) {
				Intent intent = new Intent();
				intent.setClass(MainActivity.this, gr.uoc.csd.hy439.positioning.FingerprintActivity.class);
				startActivity(intent);
			}
		});
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.activity_main, menu);
        return true;
    }

    
}
